For Developers

For developers that want to build an application that supports sending notifications through MCPing the process is nothing more than an HTTP POST request.

HTTP POST endpoints
Production: http://www.mcping.com/ping
Development and testing: http://test.mcping.com/ping

Be sure to use the test.mcping.com endpoint while developing your tools.

Parameter

url - The URL to the XHTML page containing Microformats or Structured Blogging style microcontent data.

Example
POST /Ping HTTP/1.0
Host: www.mcping.com
Content-type: application/x-www-form-urlencoded
Content-length: 49
   	
url=http://www.example.com/some/microcontent.html
Response

Returns an HTTP response code, 200 - on success. 500 on error. If there's an error the response body will contain a message.

Microformats support

The service currently knows how to identify the following microformats: hReview, hCard, hCalander, xFolk, geo, address, hListing. Additional Microformats will be added in the future.

Structured Blogging support

The service can identify any microcontent published with the Structured Blogging plugins by looking for the embedded block of XML data.

Other Microcontent formats

The goal is for the service to support all types of microcontent so if there is a type that is not currently supported, please let us know and we'll see about adding the support.